package com.usky.ids.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 车辆进出记录
 * </p>
 *
 * @author han
 * @since 2025-03-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AccessEntryExitRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车辆进出记录ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 车辆颜色
     */
    private String carColor;

    /**
     * 车牌
     */
    private String licensePlate;

    /**
     * 进出场类型（1进 2出）
     */
    private String actionDirection;

    /**
     * 监控点唯一编码
     */
    private String cameraIndexCode;

    /**
     * 监控点名称
     */
    private String cameraName;

    /**
     * 进/出场时间
     */
    private LocalDateTime recordTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 备注
     */
    private String remark;


}
